A SIM is a unique card that identifies itself to a specific mobile network and provides voice, text, and data connectivity to a user’s device. There are two types of available SIMs: eSIM and pSIM. eSIMs can be activated and installed instantly on any eSIM compatible device, pSIMs (physical SIMs) must be provided to the user or installed into the device beforehand.
Type of object is always sim.
sim Unique identifier for the SIM.
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"Time when the SIM was created.
"2021-01-21T19:38:34Z"The ICCID (integrated circuit card identifier) associated with the SIM.
"89883070000007537119"The ID of the network provider of the SIM.
"p9"The status of the SIM. Can be active or inactive.
inactive active retired The type of the SIM. Can be eSIM or pSIM.
eSIM pSIM {
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34.0Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
Retrieves the details of an existing eSIM profile for a given SIM.
A 404 response will be returned if the SIM does not exist, or is a pSIM.
Note that for providers other than p3, p14 or p15 the status of
the profile will currently always be unknown.
Returns the eSimProfile if it exists.
Type of object is always eSimProfile.
eSimProfile The current status of the eSimProfile.
This will be unknown when:
p3), ordeleted disabled enabled installed unknown Time at which the status was last updated.
"2024-03-13T15:36:01Z"curl https://api.gigs.com/projects/${GIGS_PROJECT}/sims/{sim}/eSimProfile \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "eSimProfile",
"sim": {
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
},
"status": "deleted",
"updatedAt": "2024-03-13T15:36:01Z"
}
Returns a list of SIMs. The SIMs returned are sorted by creation date, with the most recently created SIMs appearing first.
The network provider ID for the sim to be filtered by.
A comma-separated list of statuses to filter the sims by.
inactive,activeThe type for the sim to be filtered by.
eSIM pSIM The unique identifier for the user to be filtered by.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of SIMs.
Type of object is always list.
list sim.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/sims \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Retrieve the details of an existing SIM which the authenticated user is authorized to view.
Returns the SIM if it exists.
Type of object is always sim.
sim Unique identifier for the SIM.
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"Time when the SIM was created.
"2021-01-21T19:38:34Z"The ICCID (integrated circuit card identifier) associated with the SIM.
"89883070000007537119"The ID of the network provider of the SIM.
"p9"The status of the SIM. Can be active or inactive.
inactive active retired The type of the SIM. Can be eSIM or pSIM.
eSIM pSIM curl https://api.gigs.com/projects/${GIGS_PROJECT}/sims/{sim} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
Returns the updates SIM.
Type of object is always sim.
sim Unique identifier for the SIM.
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"Time when the SIM was created.
"2021-01-21T19:38:34Z"The ICCID (integrated circuit card identifier) associated with the SIM.
"89883070000007537119"The ID of the network provider of the SIM.
"p9"The status of the SIM. Can be active or inactive.
inactive active retired The type of the SIM. Can be eSIM or pSIM.
eSIM pSIM curl https://api.gigs.com/projects/${GIGS_PROJECT}/sims/{sim} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"metadata": {}
}'
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
Retrieve the credentials of an existing SIM.
Returns the SIM credentials.
Type of object is always simCredentials.
simCredentials eSIM activation code to download and install the profile in a device. Only available for type eSIM.
"LPA:1$smdp.gigs.com$2M-3L0MX-F8HE2"URL to install the eSIM profile on Android devices. Only available for type eSIM.
Be careful how you share this URL, it contains the credentials required to install the eSIM profile.
"https://esimsetup.android.com/esim_qrcode_provisioning?carddata=LPA:1$smdp.gigs.com$2M-3L0MX-F8HE2"URL to install the eSIM profile on iOS devices. Only available for type eSIM.
Be careful how you share this URL, it contains the credentials required to install the eSIM profile.
"https://esimsetup.apple.com/esim_qrcode_provisioning?carddata=LPA:1$smdp.gigs.com$2M-3L0MX-F8HE2"The first PUK code for the SIM. Not available for all network providers.
"12345678"The second PUK code for the SIM. Not available for all network providers.
"12345678"URL of the activation code in QR-Code format. Only available for type eSIM.
Be careful how you share this URL, it can be accessed publicly without authentication.
"https://files.gigs.com/qrcode/example/pUNIvfeLBNQ.png"Unique identifier for the SIM this credentials are for.
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"curl https://api.gigs.com/projects/${GIGS_PROJECT}/sims/{sim}/credentials \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "simCredentials",
"activationCode": "LPA:1$smdp.gigs.com$2M-3L0MX-F8HE2",
"androidInstallUrl": "https://esimsetup.android.com/esim_qrcode_provisioning?carddata=LPA:1$smdp.gigs.com$2M-3L0MX-F8HE2",
"iosInstallUrl": "https://esimsetup.apple.com/esim_qrcode_provisioning?carddata=LPA:1$smdp.gigs.com$2M-3L0MX-F8HE2",
"puk1": "12345678",
"puk2": "12345678",
"qrCodeUrl": "https://files.gigs.com/qrcode/example/pUNIvfeLBNQ.png",
"sim": "sim_0SNlurA049MEWV1BAAmWZULA4lf6"
}
Searches for existing SIMs matching the given parameters.
Returns a list schema response with all found SIMs.
Type of object is always list.
list sim.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/sims/search \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"iccid": "89883070000007537119",
"type": [
"eSIM"
]
}'
{
"object": "list",
"items": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}